PDA

View Full Version : fatal error -6016: Could not copy the template



oddible
10-22-2003, 06:20 PM
Just stepping into this so pardon my newbiness... Just installed DevStudio 9 on a different machine from previous InstallShield builds. When I try to open the old projects (ism) it tells me that it must convert. The convert process yields the following error:

fatal error -6016: Could not copy the template

Any ideas where I might find what I need to convert this?

Thanks in advance.

KathyMorey
10-23-2003, 08:23 AM
I'm having the same problem, and my DevStudio 9 is installed on the same machine as Developer 8. I'm currently working with IS support to solve the problem. I'll keep you informed of any resolution; please let me know if you make any progress.

KathyMorey
10-23-2003, 10:00 AM
Well, this turned out to be pretty simple. It seems that the problem was that the "read only" attribute was set on the .ism files I was trying to convert (they had been checked in to a source control system). As soon as I removed that attribute, they converted with no errors.

I'd suggest to IS that perhaps an explanation of this error should be added to Error Central or to the error help page, as the "cannot copy template" message, while accurate, wasn't particularly helpful (to me at least) in figuring out a resolution to the problem.

oddible
10-23-2003, 11:38 AM
Thanks for the follow-up Kathy. At least its on record in the forums now if someone does a search.

Figured it was probably an easy one.
Solved!

Thanks again.

Jim Kang
10-23-2003, 03:44 PM
Thanks for the suggestion. I've let the Error Central people know.

Bill A.
02-11-2005, 11:34 AM
I tried to load merge module projects created in Dev8 into 10.5 and I got the "fatal error -6016: Could not copy the template". But my project files (isms) were NOT readonly.

The problem was I was trying to convert an ism that had dependencies on some of the other unconverted isms!!! The isms that had NO dependencies converted without error. So the solution in this case was to start the conversion at the "bottom" of the dependency tree and work my way up the tree.

davbrown2
08-15-2005, 01:25 PM
And I just encountered this problem with IS 11 (i.e. 3 major versions later, and InstallShield still hasn't done anything about improving the error message!!).

My problem was that the ISM file was in use (I still had IS 10.5 running on the ISM file).

pbasra
09-26-2005, 02:01 PM
I tried to load merge module projects created in Dev8 into 10.5 and I got the "fatal error -6016: Could not copy the template". But my project files (isms) were NOT readonly.

The problem was I was trying to convert an ism that had dependencies on some of the other unconverted isms!!! The isms that had NO dependencies converted without error. So the solution in this case was to start the conversion at the "bottom" of the dependency tree and work my way up the tree.


Hi Bill,

I was just wondering how you would work from the bottom up?

THanks

pbasra
09-26-2005, 03:26 PM
Hi,

I'm experiencing the same problem but with none of the same symptoms. I've checked all of the files and they are all NOT Read Only, I do not have multiple ISM's and I do not have an ISM open with an older version of InstallShield:). I don't know what else to check and if anyone has any suggestions that they could offer it would be greatly appreaciated

I was also wondering how I start a new thread?

Thanks
Pardeep